import { createDateStringFromEvent } from "../../server/helper/dateHelper"
import MockDate from 'mockdate'

beforeAll(() => {
	MockDate.set('01-01-2023')
})

function getTestDate(date: string): Date {
	return new Date(date)
}
test('createDateStringFromEvent - correct formatting', () => {
	expect(createDateStringFromEvent(getTestDate('01-01-2023 12:30'), "")).toEqual('heute um 12:30')
	expect(createDateStringFromEvent(getTestDate('01-02-2023 12:30'), "")).toEqual('am Montag 02.01. um 12:30')
	expect(createDateStringFromEvent(getTestDate('01-03-2023 12:30'), "")).toEqual('am Dienstag 03.01. um 12:30')
})
